package multicore-magic

  1. Overview
  2. Docs
Low-level multicore utilities for OCaml

Install

Dune Dependency

Authors

Maintainers

Sources

multicore-magic-2.0.0.tbz
sha256=5bd1d3fd68c7f71ec6846c13fd92a9ec5948d02bd4eec83d37529e055c21e02d
sha512=1b2f380e2e4d2b3ee2d6f244ea46e16b6907ee595ac7440cc9eba4977ba13ecba26aa095f739d061cfb2a358f3f0990ee4955d69aee7161eb1b6f98308cd4df8

Description

Published: 04 Aug 2023

README

README.md

API reference

multicore-magic — Low-level multicore utilities for OCaml

This is a library of magic multicore utilities intended for experts for extracting the best possible performance from multicore OCaml.

Hopefully future releases of multicore OCaml will make this library obsolete!

Development

Formatting

This project uses ocamlformat (for OCaml) and prettier (for Markdown).

To make a new release

  1. Update CHANGES.md.

  2. Run dune-release tag VERSION to create a tag for the new VERSION.

  3. Run dune-release to publish the new VERSION.

  4. Run ./update-gh-pages-for-tag VERSION to update the online documentation.

Dependencies (2)

  1. ocaml >= "4.12.0"
  2. dune >= "3.3"

Dev Dependencies (2)

  1. odoc >= "2.2.0" & with-doc
  2. alcotest >= "1.7.0" & with-test

Used by (1)

  1. kcas_data >= "0.5.2" & < "0.7.0"

Conflicts

None